idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

IRTS.JavaScript.Codegen

Description

Synopsis

- codegenJs :: CGConf -> CodeGenerator
- data CGConf = CGConf {
  - header :: Text
  - footer :: Text
  - jsbnPath :: String
  - extraRunTime :: String
  }
- data CGStats = CGStats {
  - usedBigInt :: Bool
  - partialApplications :: Set Partial
  - hiddenClasses :: Set HiddenClass
  }

# Documentation

codegenJs :: CGConf -> CodeGenerator #

data CGConf #

Constructors

CGConf |

Fields

- header :: Text
- footer :: Text
- jsbnPath :: String
- extraRunTime :: String

data CGStats #

Code generation stats hold information about the generated user code. Based on that information we add additional code to make things work.

Constructors

CGStats |

Fields

- usedBigInt :: Bool
- partialApplications :: Set Partial
- hiddenClasses :: Set HiddenClass

#### Instances

Instances details

Monoid CGStats # |
Instance details Defined in IRTS.JavaScript.Codegen Methods mempty :: CGStats # mappend :: CGStats -> CGStats -> CGStats # mconcat :: [CGStats] -> CGStats #
Semigroup CGStats # |
Instance details Defined in IRTS.JavaScript.Codegen Methods (<>) :: CGStats -> CGStats -> CGStats # sconcat :: NonEmpty CGStats -> CGStats # stimes :: Integral b => b -> CGStats -> CGStats #